class NoteArray

# class NoteArray | Stores an array of note on/off events. More...
Definition | `#include <notearray.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- struct noteCmd

#### Public Methods

- NoteArray (void)
- ~NoteArray ()
- void at (ulong pos, ulong ms,int chn,int cmd,int note)
- void at (ulong pos, noteCmd s)
- noteCmd at (int pos)
- void add (ulong ms,int chn,int cmd,int note)
- void iteratorBegin (void)
- noteCmd * get (void)
- void next (void)
- void moveIteratorTo (ulong ms,int *pgm=NULL)

## Detailed Description

Holds a resizeable array of note on/off and patch change events. It can increase it size, but it doesn't decreases (until destruction :-) )

noteCmd (struct) | ### noteCmd

NoteArray (void) | ### NoteArray

Constructor. Initializes internal variables.

~NoteArray () | ### ~NoteArray

Destructor.

void at (ulong pos, ulong ms,int chn,int cmd,int note) | ### at

Adds (or modifies) an event in the given position .

Note that this has nothing to do with what is being played, this just modifies an internal array.

void at (ulong pos, noteCmd s) | ### at

A convenience function, which differs from the above in the parameters it accepts.

noteCmd at (int pos) | ### at

Returns the note event at a given position.

void add (ulong ms,int chn,int cmd,int note) | ### add

Adds a note/patch event at a given millisecond.

Note: This method always appends at the end of the list.

void iteratorBegin (void) | ### iteratorBegin

Initializes the iterator.

See also: get(), next()

noteCmd * get (void) | ### get

Get the command currently pointed to by the iterator.

void next (void) | ### next

Advances the iterator to the next position.

void moveIteratorTo (ulong ms,int *pgm=NULL) | ### moveIteratorTo

Calls next() until the next event is over ms milliseconds and puts in `pgm`[16] the instruments used at this moment.

- Version: 0.9.5 17/01/2000
- Author: Antonio Larrosa Jimenez
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:06 2003, using kdoc 2.0a54.